2020-10-26 02:03 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002691NetSurfCore-specificpublic2020-05-27 08:19
ReporterVincent Sanders 
Assigned ToDaniel Silverstone 
SeverityminorReproducibilityalways 
StatusclosedResolutionfixed 
Product Version3.10 
Target Version3.10Fixed in Version3.10 
Summary0002691: issue with privacy query interface
Descriptionincorrect navigation
Steps To Reproducegoto https://badssl.com/

- navigate to the "expired" page
- select "go back"
- navigate to "wrong.host" page
- select "go back"

Instead of going back to https://badssl.com/ the browser stays on https://wrong.host.badssl.com/

The "go back" navigation attempts to navigate to expired.badssl.com which then immediately returns to https://wrong.host.badssl.com/
TagsNo tags attached.
Fixed in CI build #4831
Reported in CI build #
URL of problem page
Attached Files

-Relationships
+Relationships

-Notes
Vincent Sanders

~0002246

Vincent Sanders (administrator)

Thankyou for reporting this issue.
We believe this is fixed in the 3.10 release.
If this is not the case please feel free to reopen the issue with additional details.
+Notes

-Issue History
Date Modified Username Field Change
2019-08-07 12:41 Vincent Sanders New Issue
2019-08-07 12:41 Vincent Sanders Status new => assigned
2019-08-07 12:41 Vincent Sanders Assigned To => Daniel Silverstone
2019-08-07 12:42 Vincent Sanders Status assigned => confirmed
2019-08-14 18:34 Daniel Silverstone Status confirmed => resolved
2019-08-14 18:34 Daniel Silverstone Resolution open => fixed
2019-08-14 18:34 Daniel Silverstone Fixed in Version => 3.10
2019-08-14 18:34 Daniel Silverstone Fixed in CI build # => 4831
2020-05-27 08:19 Vincent Sanders Status resolved => closed
2020-05-27 08:19 Vincent Sanders Note Added: 0002246
+Issue History